com.microfocus.zos.model

## Enum EJobState

- java.lang.Object
- - java.lang.Enum<EJobState>
  - - com.microfocus.zos.model.EJobState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EJobState>

      public enum EJobState
      extends java.lang.Enum<EJobState>

  Enumeration of job states
  Author:
    Ralf Pakosch
  See Also:
    `Copyright (C) Micro Focus 2014. All rights reserved.`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Job has finished with an error (or was never executed due to a JCL error).
    `FINISHED` Job has finished execution.
    `RUNNING` Job is actively executing.
    `UNKNOWN` Unknown job state.
    `WAITING` Job is waiting for execution.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLiteral()` Returns a user readable, formatted String representation of the job state (e.g.
    `boolean` | `isFinishedState()` Whether the state is either `FINISHED` or `ERROR`.
    `static EJobState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EJobState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final EJobState UNKNOWN

      Unknown job state.

    - #### WAITING

          public static final EJobState WAITING

      Job is waiting for execution.

    - #### RUNNING

          public static final EJobState RUNNING

      Job is actively executing.

    - #### FINISHED

          public static final EJobState FINISHED

      Job has finished execution.

    - #### ERROR

          public static final EJobState ERROR

      Job has finished with an error (or was never executed due to a JCL error).

  - ### Method Detail

    - #### values

          public static EJobState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EJobState c : EJobState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EJobState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLiteral

          public java.lang.String getLiteral()

      Returns a user readable, formatted String representation of the job state (e.g. "Input Queue")
      Returns:
        a String representation of the job state

    - #### isFinishedState

          public boolean isFinishedState()

      Whether the state is either `FINISHED` or `ERROR`.
      Returns:
        `true` if the state is `FINISHED` or `ERROR`. Otherwise `false`.

Copyright © 2015 Micro Focus GmbH. All rights reserved.